// JavaScript Document

document.getElementById("challenges").addEventListener("click", function() {
window.location = chrome.extension.getURL("challenges.html");
});

var gunTypea, gunPowera, gunUpgrade, gunUpgrade1, gunUpgrade2, gunType1, gunType2, gunType3, gunPower1, gunPower2, gunPower3;
var damage = [1, 2, 5, 10, 1, 3, 7, 15, 20, 50, 100, 200];
var price = [0, 100, 300, 1000, 2500, 3000, 6000, 10000, 5000, 6000, 7000, 12000];
var storage = chrome.storage.local;
var xp, money, gun1, gun2, gun3;
//storage.set({'gun2': 1});
storage.get(['gun1', 'gun2', 'gun3', 'money', 'xp', 'level'], function(items) {

	if (items.money) {
		document.getElementById("money").innerHTML = "money: " + items.money + "$";
		money = items.money;
	}
	else {
		storage.set({
			'money': 0
		});
	}

	if (items.gun1 > 0) {
		document.getElementById("gun1").src = "images/gun1.png";
		document.getElementById("gunbg1").style.background = "url('images/gunbg" + (items.gun1 - 1) + ".png')";
		gun1 = items.gun1;
		document.getElementById("shop").innerHTML += buildShop(1, gun1);
		if (gunUpgrade) {
			gunUpgrade1 = true;
		}
	}
	else {
		storage.set({
			'gun1': 1
		});
		gun1 = 1;
	}

	if (items.gun2 > 0) {
		document.getElementById("gun2").src = "images/gun2.png";
		document.getElementById("gunbg2").style.background = "url('images/gunbg" + (items.gun2 - 1) + ".png')";
		gun2 = items.gun2;
	}
	else {
		storage.set({
			'gun2': 0
		});
		gun2 = 0;
	}
	document.getElementById("shop").innerHTML += buildShop(2, gun2);
	if (gunUpgrade) {
		gunUpgrade2 = true;
	}

	if (items.gun3 > 0) {
		document.getElementById("gun3").src = "images/gun3.png";
		document.getElementById("gunbg3").style.background = "url('images/gunbg" + (items.gun3 - 1) + ".png')";
		gun3 = items.gun3;
	}
	else {
		storage.set({
			'gun3': 0
		});
		gun3 = 0;
	}
	document.getElementById("shop").innerHTML += buildShop(3, gun3);
	if (gunUpgrade) {
		document.getElementById("upgrade3").addEventListener("click", function() {
			upgradeWeapon(3, gun3);
		});
	}
	if (gunUpgrade2) {
		document.getElementById("upgrade2").addEventListener("click", function() {
			upgradeWeapon(2, gun2);
		});
	}
	if (gunUpgrade1) {
		document.getElementById("upgrade1").addEventListener("click", function() {
			upgradeWeapon(1, gun1);
		});
	}

	if (items.xp) {
		document.getElementById("xp").innerHTML = "xp: " + items.xp;
		xp = items.xp;
	}
	else {
		storage.set({
			'xp': 0
		});
	}


	if (items.level) {
		document.getElementById("level").innerHTML = "level: " + items.level;
		document.getElementById("xpBar").style.width = (8 * xp) / (items.level * (items.level + 1)) + '%';
		document.getElementById("xpBar").innerHTML = xp + '/' + (12.5 * items.level * (items.level + 1));
	}
	else {
		storage.set({
			'level': 1
		});
	}
});

function changeWeapon(weapon) {
	storage.set({
		'weapon': weapon
	});
}

function buildShop(gunType, gunPower) {
	if (gunPower == 4) {
		var text = '<div style="border-radius:10px;border:10px solid #FFFFFF; width:90%"><table cellspacing="5" align="center" width="100%" border="0"><tr><td width="33%">&nbsp;</td><td align="center" background="images/gunBg3.png" style="background-position:center" class="weapon"><img id="gun' + gunType + '" src="images/gun' + gunType + '.png" /></td><td width="33%">&nbsp;</td><tr align="center"><td>&nbsp;</td><td class="damage"><b>Damage: ' + damage[(gunType - 1) * 4 + 3] + '</b></td><td>&nbsp;</td></tr><tr><td class="upgrade" align="center" colspan="3" ><b>Fully upgraded</b></td></tr></table></div><br style="line-height: 5px; /><br>';
		gunUpgrade = false;
	}
	else if (gunPower > 0) {
		var text = '<div style="border-radius:10px;border:10px solid #FFFFFF; width:90%"><table cellspacing="5" align="center" width="100%" border="0"><tr><td width="33%" id="gunbg' + gunType + '0" background="images/gunBg' + (gunPower - 1) + '.png" class="weapon"><img id="gun' + gunType + '0" src="images/gun' + gunType + '.png" /></td><td align="center" width="33%"><img src="images/arrow.png" /></td><td width="33%" id="gunbg' + gunType + '1" background="images/gunBg' + (gunPower) + '.png" class="weapon"><img id="gun' + gunType + '1" src="images/gun' + gunType + '.png" /></td><tr align="center"><td class="damage"><b>Damage: ' + damage[(gunType - 1) * 4 + gunPower - 1] + '</b></td><td>&nbsp;</td><td class="damage"><b>Damage: ' + damage[(gunType - 1) * 4 + gunPower] + '</b></td></tr><tr><td class="upgrade" align="center" colspan="3" ><a id="upgrade' + gunType + '"  href="#"><b>Upgrade for ' + price[(gunType - 1) * 4 + gunPower] + '$</b></a></td></tr></table></div><br style="line-height: 5px; /><br>';

		//document.getElementById("upgrade"+gunType).addEventListener("click",function(){upgradeWeapon(gunType,gunPower);});
		gunTypea = gunType;
		gunPowera = gunPower;
		gunUpgrade = true;
	}
	else {
		var text = '<div style="border-radius:10px;border:10px solid #FFFFFF; width:90%"><table cellspacing="5" align="center" width="100%" border="0"><tr><td width="33%">&nbsp;</td><td align="center" background="images/gunBg0.png" style="background-position:center" class="weapon"><img id="gun' + gunType + '" src="images/gun' + gunType + '.png" /></td><td width="33%">&nbsp;</td><tr align="center"><td>&nbsp;</td><td class="damage"><b>Damage: ' + damage[(gunType - 1) * 4] + '</b></td><td>&nbsp;</td></tr><tr><td class="upgrade" align="center" colspan="3" ><a href="#" id="upgrade' + gunType + '"><b>Buy for ' + price[(gunType - 1) * 4] + '$</b></a></td></tr></table></div><br style="line-height: 5px;" /><br>';

		//document.getElementById("upgrade"+gunType).addEventListener("click",function(){upgradeWeapon(gunType,gunPower);});

		gunTypea = gunType;
		gunPowera = gunPower;
		gunUpgrade = true;
	}
	return text;
}

function upgradeWeapon(gunType, gunPower) {
	if ((money - price[(gunType - 1) * 4 + gunPower]) >= 0) {
		money -= price[(gunType - 1) * 4 + gunPower];
		storage.set({
			'money': money
		});
		if (gunType == 1) {
			storage.set({
				'gun1': (gunPower + 1)
			});
		}
		else if (gunType == 2) {
			storage.set({
				'gun2': (gunPower + 1)
			});
		}
		else if (gunType == 3) {
			storage.set({
				'gun3': (gunPower + 1)
			});
		}
		changeWeapon(gunType*10+gunPower+1);
		document.location.reload(true);
		//storage.set({('gun'+gunType): (gunPower+1)});	
	}
}